@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5724-J34, 5655-VX8 (C) COPYRIGHT International Business Machines Corp., 2006, 2012
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off
@setlocal

call "%~dp0setupCmdLine.bat"

if not defined OBJECTGRID_HOME (
   goto ws
)

if exist %JAVA_HOME%\bin\java.exe (
   set JAVA_EXE=%JAVA_HOME%\bin\java
) else (
   set JAVA_EXE=%JAVA_HOME%\jre\bin\java
)

SET PATH=%XS_PATH%

@REM adding environment variable to support client libraries the user might optionally use
if defined CLIENT_AUTH_LIB (
	"%JAVA_EXE%" "-classpath" "%OBJECTGRID_HOME%"\properties;"%OBJECTGRID_HOME%"\lib\ogclient.jar;"%CLIENT_AUTH_LIB%" %JAVA_ENDORSED_DIRS% -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true "com.ibm.ws.xs.admin.wxscli.WXSAdminCLI" %*
) else (
	"%JAVA_EXE%" "-classpath" "%OBJECTGRID_HOME%"\properties;"%OBJECTGRID_HOME%"\lib\ogclient.jar %JAVA_ENDORSED_DIRS% -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true "com.ibm.ws.xs.admin.wxscli.WXSAdminCLI" %*
)

goto end

:ws

if defined WAS_PATH (
   SET PATH="%WAS_PATH%"
)

if exist %JAVA_HOME%\bin\java.exe (
   set JAVA_EXE=%JAVA_HOME%\bin\java
) else (
   set JAVA_EXE=%JAVA_HOME%\jre\bin\java
)

@REM We are not sure if the CLIENTSAS and CLEINTSSL have sourounding quotes so we just remove those quotes if they exist and add new quotes

@REM defect - 10013
@REM if defined CLIENTSAS (
@REM    for /f "useback tokens=*" %%a in ('%CLIENTSAS:)=^)%') do set CLIENTSAS=%%~a
@REM )

if defined CLIENTSAS (
   set CLIENTSAS="%CLIENTSAS%"
)

@REM defect - 10013
@REM if defined CLIENTSSL (
@REM    for /f "useback tokens=*" %%a in ('%CLIENTSSL:)=^)%') do set CLIENTSSL=%%~a
@REM )

if defined CLIENTSSL (
   set CLIENTSSL="%CLIENTSSL%"
)

@REM adding environment variable to support client libraries the user might optionally use
if defined CLIENT_AUTH_LIB (
	"%JAVA_EXE%" %WAS_LOGGING% %CONSOLE_ENCODING% -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Djava.security.auth.login.config="%USER_INSTALL_ROOT%\properties\wsjaas_client.conf" "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%CLIENT_AUTH_LIB%" -Dwas.install.root="%WAS_HOME%" %CLIENTSAS% %CLIENTSSL% %USER_INSTALL_PROP% -classpath "%WAS_CLASSPATH%" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.xs.admin.wxscli.WXSAdminCLI %*
) else (
	"%JAVA_EXE%" %WAS_LOGGING% %CONSOLE_ENCODING% -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Djava.security.auth.login.config="%USER_INSTALL_ROOT%\properties\wsjaas_client.conf" "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins" -Dwas.install.root="%WAS_HOME%" %CLIENTSAS% %CLIENTSSL% %USER_INSTALL_PROP% -classpath "%WAS_CLASSPATH%" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.xs.admin.wxscli.WXSAdminCLI %*
)
:end
@endlocal